メインコンテンツまでスキップ

コホートとタグ API

最終更新 2026/10/05

呼び出し方法は、Open APIドキュメントの呼び出し方法の説明を参照してください。

1. 条件コホートまたはタグの追加​

インターフェースURL

/open/user-cluster-add?token=xxx

リクエストメソッド

POST

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー

以下に、ケース別のリクエストbodyの例を示します

1.条件コホートの追加

リクエストBodyパラメータ

{
"projectId": 102,
"clusterName": "recent_7_days_consume",
"clusterCatalog": "catalog_cluster",
"clusterType": "cluster_by_static_condition",
"displayName": "recent_7_days_consume",
"qp": {
"events": [
{
"comparator": "greater",
"eventName": "consume_item",
"num": "4",
"recentDay": "1-7",
"taPropQuota": {
"analysis": "TIMES"
}
}
],
"event_relation": "and",
"filts": [
{
"columnName": "user_level",
"comparator": "equal",
"ftv": [
"3"
],
"tableType": "user"
}
],
"relation": "and",
"event_user_relation": "and"
}
}
$$パラメータ名

サンプル値

パラメータタイプ必須かどうかパラメータの説明
projectId102StringはいプロジェクトID
clusterNamerecent_7_days_consumeStringはいコホート名(英数字のみ、長さは24文字以内)
clusterCatalogcatalog_clusterStringいいえ

コホート分類

  • catalog_cluster:コホート
  • catalog_tag:タグ

clusterType

cluster_by_static_condition

String

いいえ

コホートタイプ

  • cluster_by_dynamic_condition:動的条件で更新されるコホート
  • cluster_by_static_condition:静的条件のコホート
  • cluster_by_result:結果コホート
  • cluster_by_import:カスタムアップロードIDコホート
  • cluster_by_dynamic_sql:動的SQLコホート
  • cluster_by_static_sql:静的SQLコホート
  • tag_by_dynamic_condition:動的条件で更新されるユーザータグ
  • tag_by_static_condition:静的条件のユーザータグ
  • tag_by_import:カスタムアップロードIDタグ
  • tag_by_dynamic_sql:動的SQLタグ
  • tag_by_static_sql:静的SQLタグ
displayNamerecent_7_days_consumeStringはいコホートの表示名(最大50文字)
qp-Objectいいえコホート定義
qp.events-Listいいえ対象イベントの条件リスト
qp.events.comparatorgreaterStringはいモデルクエリAPIのフィルター式における演算子の説明を参照してください
qp.events.eventNameconsume_itemStringはいイベント名
qp.events.num4Stringいいえフィルター値
qp.events.recentDay1-7Stringいいえ相対時間
qp.events.taPropQuota-Objectはいイベント指標
qp.events.taPropQuota.analysisTIMESStringいいえ分析の観点。イベント分析モデルAPIの集計方法analysisの値の一覧を参照してください
qp.event_relationandStringいいえ対象イベントの条件間の論理関係(and、or)
qp.filts-Listいいえユーザープロパティの条件リスト
qp.filts.columnNameuser_levelStringはいフィールド名
qp.filts.comparatorequalStringモデルクエリAPIのフィルター式における演算子の説明を参照してください
qp.filts.ftv["3"]Listいいえフィルター値のリスト
qp.filts.tableTypeuserStringはいuser:ユーザープロパティ
qp.relationandStringいいえユーザープロパティの条件間の論理関係
qp.event_user_relationandStringいいえ対象イベントの条件リストとユーザープロパティの条件リストの間の論理関係

条件タグの追加

subConditionTabTypeフィールドの説明:

フィールド説明
tag_condition_defaultカスタム条件タグ
tag_condition_by_firstlast_eventFirst or lastタグ
tag_condition_by_quotation指標値タグ

tagQpフィールドにはタグ定義が含まれます。タグのタイプによって使用するフィールドが異なります:

フィールド説明
userTagValueDefsカスタム条件タグ
userTagConFirstLastEventDefFirst or lastタグ

2.カスタム条件タグ

userTagValueDefsフィールドの説明:

フィールド説明
tagValueタグ値
userClusterDefタグ値のマッチング定義。フィールドの定義はUserClusterDefを参照してください
  • Request body (application/json)
{
"projectId": 102,
"clusterName": "tag_20200615_1",
"clusterCatalog": "catalog_tag",
"clusterType": "tag_by_static_condition",
"subConditionTabType" : "tag_condition_default",
"displayName": "タグ_20200615_1",
"tagQp": {
"userTagValueDefs": [
{
"tagRemark": "",
"tagValue": "タグ値1",
"userClusterDef": {
"event_relation": "and",
"event_user_relation": "and",
"events": [
{
"eventName": "player_register",
"num": "4",
"recentDay": "1-30",
"relation": "and",
"taPropQuota": {
"analysis": "TIMES"
},
"comparator": "greater"
}
],
"filts": [],
"relation": "and"
}
},
{
"tagRemark": "",
"tagValue": "タグ値2",
"userClusterDef": {
"event_relation": "and",
"event_user_relation": "and",
"events": [
{
"eventName": "fight_success",
"num": "0",
"recentDay": "1-30",
"relation": "and",
"taPropQuota": {
"analysis": "TIMES"
},
"comparator": "greater"
}
],
"filts": [],
"relation": "and"
}
}
]
}
}

3.First or lastタグ

  • Request body (application/json)
{
"projectId": 2,
"clusterName": "tag_test_20200615_1",
"clusterCatalog": "catalog_tag",
"clusterType": "tag_by_static_condition",
"subConditionTabType": "tag_condition_by_firstlast_event",
"displayName": "タグ_test",
"tagQp": {
"userTagConFirstLastEventDef": {
"userTagConFirstLastEvent": {
"calcPropVo": {
"isCalc": false,
"property": {
"columnName": "#vp@test_num",
"tableType": "event"
}
},
"eventName": "pay",
"isFirstEvent": true,
"recentDay": "0-1",
"filts": [
{
"columnName": "#os",
"comparator": "equal",
"ftv": [
"android"
],
"tableType": "event"
}
],
"relation": "and"
}
}
}
}

4.指標値タグ(バージョン3.2.1以降で対応)

  • Request body (application/json)
{
"projectId": 2,
"clusterName": "tag_test_20200615_1",
"clusterCatalog": "catalog_tag",
"clusterType": "tag_by_static_condition",
"subConditionTabType": "tag_condition_by_quotation",
"displayName": "タグ_test",
"tagQp": {
"userTagConQuotaDef": {
"userTagConQuotaEvent": {
"type": "normal",
"quota": "activity_reward",
"analysis": "DISTINCT",
"eventName": "activity_attend",
"recentDay": "0-1",
"filts": [
{
"columnName": "#os",
"comparator": "equal",
"ftv": [
"android"
],
"tableType": "event"
}
],
"relation": "and"
}
}
}
}

成功レスポンスの例

{
"data": 970,
"return_code": 0,
"return_message": "success"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
data970Object成功件数
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

2. コホートまたはタグの詳細のクエリ​

clusterNameで詳細をクエリします

インターフェースURL

/open/user-cluster-detail?token=xxx&projectId=102&clusterName=recent_7_days_consume

リクエストメソッド

GET

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
projectId102IntegerはいプロジェクトID
clusterNamerecent_7_days_consumeStringはいコホート名

成功レスポンスの例

{
"data": {
"clusterName": "recent_7_days_consume",
"clusterType": "cluster_by_static_condition",
"displayName": "recent_7_days_consume",
"id": 970,
"progress": 1,
"projectId": 102,
"refreshTime": "2020-01-10 10:51:14",
"userClusterDef": {
"event_relation": "and",
"event_user_relation": "and",
"events": [
{
"comparator": "greater",
"endTime": "2020-01-09 00:00:00",
"eventName": "consume_item",
"num": "4",
"recentDay": "1-7",
"startTime": "2020-01-03 00:00:00",
"taPropQuota": {
"analysis": "TIMES"
}
}
],
"filts": [
{
"columnName": "user_level",
"comparator": "equal",
"ftv": [
"3"
],
"tableType": "user"
}
],
"relation": "and"
},
"userId": 13,
"usersNum": 0
},
"return_code": 0,
"return_message": "success"
}
$$パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ
data-Object戻り値
data.clusterNamerecent_7_days_consumeStringコホート名
data.clusterTypecluster_by_static_conditionString

コホートタイプ

  • cluster_by_dynamic_condition:動的条件で更新されるコホート
  • cluster_by_static_condition:静的条件のコホート
  • cluster_by_result:結果コホート
  • cluster_by_import:カスタムアップロードIDコホート
  • cluster_by_dynamic_sql:動的SQLコホート
  • cluster_by_static_sql:静的SQLコホート
  • tag_by_dynamic_condition:動的条件で更新されるユーザータグ
  • tag_by_static_condition:静的条件のユーザータグ
  • tag_by_import:カスタムアップロードIDタグ
  • tag_by_dynamic_sql:動的SQLタグ
  • tag_by_static_sql:静的SQLタグ
data.displayNamerecent_7_days_consumeStringコホートの表示名
data.id970IntegerコホートID
data.progress1Integerタスクの実行進捗。100は実行成功、0~99は現在の計算進捗、-1は実行失敗を表します
data.projectId102Integer所属プロジェクトID
data.refreshTime2020-01-10 10:51:14Stringコホートの更新時刻
data.userId13Integerコホートが属するuserId
data.usersNum0Integerコホートのユーザー数
data.userClusterDef-Object条件コホートの定義
data.userClusterDef.event_relationandString行ったイベントのプロパティリストにおけるフィルター条件の論理関係
data.userClusterDef.event_user_relationandString行ったイベントとユーザープロパティの間のフィルター条件の論理関係
data.userClusterDef.events-List行ったイベントの条件リスト
data.userClusterDef.events.comparatorgreaterStringモデルクエリAPIのフィルター式における演算子の説明を参照してください
data.userClusterDef.events.endTime2020-01-09 00:00:00String終了時間
data.userClusterDef.events.eventNameconsume_itemStringイベント名
data.userClusterDef.events.num4String
data.userClusterDef.events.recentDay1-7String相対時間
data.userClusterDef.events.startTime2020-01-03 00:00:00String開始時間
data.userClusterDef.events.taPropQuota-Objectイベント指標
data.userClusterDef.events.taPropQuota.analysisTIMESString分析の観点。イベント分析モデルAPIの集計方法analysisの値の一覧を参照してください
data.userClusterDef.filts-Listユーザープロパティの条件リスト
data.userClusterDef.filts.columnNameStringuser_levelフィールド名
data.userClusterDef.filts.comparatorStringequalモデルクエリAPIのフィルター式における演算子の説明を参照してください
data.userClusterDef.filts.ftvList["3"]フィルター値のリスト
data.userClusterDef.filts.tableTypeuserStringevent:イベントプロパティ、user:ユーザープロパティ
data.userClusterDef.relationandStringユーザープロパティリストのフィルター条件の論理関係

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ
結果フィールド説明
userClusterDefコホート定義。qpと同じ
userTagDefタグ定義。tagQpと同じ

3. 名前による条件コホートまたはタグの定義の更新​

インターフェースURL

/open/user-cluster-update-by-name?token=xxx&projectId=xxx&clusterName= recent_7_days_consume

リクエストメソッド

POST

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
clusterNamerecent_7_days_consumeStringはいコホート名

リクエストBodyパラメータ

{
"clusterCatalog": "catalog_cluster",
"clusterType": "cluster_by_static_condition",
"displayName": "recent_7_days_consume",
"projectId": 102,
"qp": {
"event_relation": "and",
"event_user_relation": "and",
"events": [
{
"comparator": "greater",
"endTime": "2020-01-09 00:00:00",
"eventName": "consume_item",
"num": "4",
"recentDay": "1-7",
"startTime": "2020-01-03 00:00:00",
"taPropQuota": {
"analysis": "TIMES"
}
}
],
"filts": [
{
"columnName": "user_level",
"comparator": "equal",
"ftv": [
"3"
],
"tableType": "user"
}
],
"relation": "and"
}
}

パラメータの説明は条件コホートまたはタグの追加のAPIと同じです

成功レスポンスの例

{
"return_code": 0,
"return_message": "success"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

4. 名前によるコホートまたはタグの削除​

インターフェースURL

/open/delete-user-cluster-by-name?token=xxx&projectId=102&clusterName= recent_7_days_consume

リクエストメソッド

POST

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
projectId102IntegerはいプロジェクトID
clusterNamerecent_7_days_consumeIntegerはいコホート名

成功レスポンスの例

{
"return_code": 0,
"return_message": "success"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

5. コホートとタグのリストのクエリ​

インターフェースURL

/open/user-cluster-list?token=xxx

リクエストメソッド

POST

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー

リクエストBodyパラメータ

{
"clusterCatalog": "catalog_cluster",
"clusterName": "test001",
"clusterTypes": [
"cluster_by_dynamic_condition",
"cluster_by_static_condition"
],
"pagerHeader": {
"pageNum": 1,
"pageSize": 10
},
"projectId": 102
}
$$パラメータ名サンプル値パラメータタイプ必須パラメータの説明
clusterCatalogcatalog_clusterStringはいコホートカテゴリ。指定可能な値:catalog_cluster(コホート)、catalog_tag(タグ)
clusterNametest001Stringいいえコホート/タグ名のあいまい検索
clusterTypes

["cluster_by_dynamic_condition"]

Listいいえ

コホートタイプ。指定可能な値は次のとおりです:

cluster_by_dynamic_condition

cluster_by_static_condition

cluster_by_result

cluster_by_import

cluster_by_dynamic_sql

cluster_by_static_sql

tag_by_dynamic_condition

tag_by_static_condition

tag_by_import

tag_by_dynamic_sql

tag_by_static_sql

pagerHeader-Objectはいページング情報
pagerHeader.pageNum1Integerいいえページ番号
pagerHeader.pageSize10Integerいいえページサイズ
projectId102IntegerはいプロジェクトID

成功レスポンスの例

{
"data": {
"pagerResult": {
"pageNum": 1,
"pageSize": 10,
"totalNum": 2
},
"userClusters": [
{
"clusterCatalog": "catalog_cluster",
"clusterName": "xuzz_ces",
"clusterType": "cluster_by_static_condition",
"displayName": "ユーザー数",
"historyDataStatus": 0,
"id": 905,
"mainColumnName": "",
"progress": 100,
"projectId": 102,
"refreshDelay": 0,
"refreshTime": "2019-11-01 15:08:31",
"remarks": "2134",
"selectType": "string",
"status": 1,
"uploadFileName": "",
"userId": 108,
"userName": "自動化テスト__sync",
"usersNum": 4665
},
{
"clusterCatalog": "catalog_cluster",
"clusterName": "test",
"clusterType": "cluster_by_static_condition",
"displayName": "test",
"historyDataStatus": 0,
"id": 183,
"mainColumnName": "",
"progress": 100,
"projectId": 102,
"refreshDelay": 0,
"refreshTime": "2019-11-01 15:05:28",
"remarks": "test",
"selectType": "string",
"status": 1,
"uploadFileName": "",
"userId": 108,
"userName": "自動化テスト__sync",
"usersNum": 5603
}
]
},
"return_code": 0,
"return_message": "success"
}
$$パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ
data-Object戻り値
data.pagerResult-Objectページング結果
data.pagerResult.pageNum1Integer現在のページ
data.pagerResult.pageSize10Integer1ページあたりの件数
data.pagerResult.totalNum2Integer合計件数
data.userClusters-Objectコホートのリスト
data.userClusters.clusterCatalogcatalog_clusterString

コホート分類

  • catalog_cluster:コホート
  • catalog_tag:タグ
data.userClusters.clusterNamexuzz_cesStringコホート名
data.userClusters.clusterType

cluster_by_static_condition

String

コホートタイプ

  • cluster_by_dynamic_condition:動的条件で更新されるコホート
  • cluster_by_static_condition:静的条件のコホート
  • cluster_by_result:結果コホート
  • cluster_by_import:カスタムアップロードIDコホート
  • cluster_by_dynamic_sql:動的SQLコホート
  • cluster_by_static_sql:静的SQLコホート
  • tag_by_dynamic_condition:動的条件で更新されるユーザータグ
  • tag_by_static_condition:静的条件のユーザータグ
  • tag_by_import:カスタムアップロードIDタグ
  • tag_by_dynamic_sql:動的SQLタグ
  • tag_by_static_sql:静的SQLタグ
data.userClusters.displayNameユーザー数Stringコホートの表示名
data.userClusters.historyDataStatus0Integer履歴バージョンのデータがあるかどうか
data.userClusters.id905IntegerコホートID
data.userClusters.mainColumnNameStringIDコホートの関連プロパティ
data.userClusters.progress100Integerタスクの実行進捗。100は実行成功、0~99は現在の計算進捗、-1は実行失敗を表します
data.userClusters.projectId102Integer所属プロジェクトID
data.userClusters.refreshDelay0Longコホートの更新遅延
data.userClusters.refreshTime2019-11-01 15:08:31Stringコホートの更新時刻
data.userClusters.remarks2134Stringコホートの備考
data.userClusters.selectTypestringStringタグタイプ
data.userClusters.status1Integerコホートのステータス。0:無効、1:有効
data.userClusters.uploadFileNameStringアップロードファイル名
data.userClusters.userId108Integerコホートが属するuserId
data.userClusters.userName自動化テスト__syncStringコホートが属するuserName
data.userClusters.usersNum4665Integerコホートのユーザー数

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

6. 名前による条件コホートまたはタグの更新​

インターフェースURL

/open/user-cluster-refresh-by-name?token=xxx&projectId=102&clusterName=recent_7_days_consume

リクエストメソッド

POST

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
projectId102IntegerはいプロジェクトID
clusterNamerecent_7_days_consumeStringはいコホート名

成功レスポンスの例

{
"return_code": 0,
"return_message": "success"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

7. 更新進捗のクエリ​

更新を送信した後、更新の進捗をクエリできます

/open/user-cluster-refresh-progress-by-name?token=xxx&projectId=102&clusterName=recent_7_days_consume

リクエストメソッド

GET

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
projectId102IntegerはいプロジェクトID
clusterNamerecent_7_days_consumeStringはいコホート名

成功レスポンスの例

{
"data": {
"progress": 80,
},
"return_code": 0,
"return_message": "success"
}
$$パラメータ名サンプル値パラメータタイプパラメータの説明
data-Object戻り値
data.progress100Integer値の範囲は[0, 100]で、100は更新完了を表します
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

8. アップロードIDコホートまたはタグの作成​

インターフェースURL

/open/import-id-cluster-add?token=xxx&projectId=102&displayName=xxxx&mainColumnName=#account_id

リクエストメソッド

POST

Content-Type

text/csv

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
projectId102IntegerはいプロジェクトID
displayNamexxxStringはいコホートの表示名(最大50文字)
mainColumnName#account_idStringはいコホートの関連プロパティ
clusterCatalogStringいいえコホート分類:catalog_cluster, catalog_tag。デフォルトはcatalog_cluster
clusterNameStringいいえコホート名(最大24文字)。英数字で構成します。省略した場合はシステムが生成します
remarksStringいいえコホートの備考

成功レスポンスの例

{
"data": {
"clusterId": 1889,
"tagValueNullNum": 0,
"unmatchedNum": 0,
"uploadNum": 5,
"userNum": 5
},
"return_code": 0,
"return_message": "success"
}
$$パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ
dataObject戻り値
data.clusterId1889IntegerコホートID
data.tagValueNullNum0IntegerTag値がnullの行数
data.unmatchedNum0Integerマッチしなかったレコード数
data.uploadNum5Integerアップロードされたレコード数
data.userNum5Integerコホートのユーザー数

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

curlの例(trace.txtからSend/Recvの説明行を削除)

[root@ta1 ~]# curl --trace-ascii trace.txt --header 'Content-Type: text/csv' --data-binary '@test.csv' 'http://ta2:8992/open/import-id-cluster-add?token=YOUR_TOKEN&projectId=102&displayName=xxxx&mainColumnName=%23account_id'
{"data":{"clusterId":1889,"tagValueNullNum":0,"unmatchedNum":0,"uploadNum":5,"userNum":5},"return_code":0,"return_message":"success"}
[root@ta1 ~]#
[root@ta1 ~]#
[root@ta1 ~]# cat trace.txt
== Info: About to connect() to ta2 port 8992 (#0)
== Info: Trying 192.0.2.10...
== Info: Connected to ta2 (192.0.2.10) port 8992 (#0)
0000: POST /open/import-id-cluster-add?token=YOUR_TOKEN
0040: &projectId=102&displayNam
0080: e=xxxx&mainColumnName=%23account_id HTTP/1.1
00ae: User-Agent: curl/7.29.0
00c7: Host: ta2:8992
00d7: Accept: */*
00e4: Content-Type: text/csv
00fc: Content-Length: 43
0110:
0000: j77639
0008: h84497
0010: g119426
0019: e154284
0022: f175355
== Info: upload completely sent off: 43 out of 43 bytes
0000: HTTP/1.1 200 OK
0000: Date: Thu, 05 Nov 2020 04:06:31 GMT
0000: Content-Type: application/json;charset=utf-8
0000: Content-Length: 148
0000:
0000: {"data":{"clusterId":1889,"tagValueNullNum":0,"unmatchedNum":0,"
0040: uploadNum":5,"userNum":5},"return_code":0,"return_message":"succ
0080: ess"}
== Info: Connection #0 to host ta2 left intact

9. 名前によるアップロードIDコホートまたはタグの変更​

インターフェースURL

/open/import-id-cluster-modify-by-name?token=xxx&projectId=102&clusterName= recent_7_days_consume&displayName=xxxx&remarks=xxx&mainColumnName=xxx

リクエストメソッド

POST

Content-Type

text/csv

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
projectId102IntegerはいプロジェクトID
clusterNamerecent_7_days_consumeStringはいコホート名
displayNameStringいいえコホートの表示名(最大50文字)
mainColumnNameStringいいえコホートの関連プロパティ
remarksStringいいえコホートの備考

成功レスポンスの例

{
"data": "",
"return_code": 0,
"return_message": "success"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ
dataObject戻り値

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ

10. タグ日付バージョンの非同期一括更新​

インターフェースURL

/open/tag-date-batch-refresh?token=xxx&projectId=102&tagName= tag_123

リクエストメソッド

POST

Content-Type

application/json

リクエストQueryパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
tokenxxxStringはいクエリキー
projectId102IntegerはいプロジェクトID
tagNametag_123Stringはいタグ名

リクエストBodyパラメータ

パラメータ名サンプル値パラメータタイプ必須パラメータの説明
startDate2022-12-01Stringはい開始日
endDate2022-12-31Stringはい終了日
onlyAbnormaltrueBooleanいいえ異常バージョンのみを計算するかどうか。デフォルトは「いいえ」
useUserTableTypeuser_tableStringいいえ

ユーザーテーブルの使用タイプ。列挙値は次のとおりです

user_table ユーザーテーブルを使用

user_backup_table_default ユーザースナップショットテーブルを使用(空の場合はデフォルトでユーザーテーブルを使用)

user_backup_table_last_date ユーザースナップショットテーブルを使用(空の場合は後続の直近の空でない日付を使用)

デフォルト値はuser_backup_table_default

eg:

{
"startDate": "2022-12-01",
"endDate": "2022-12-31",
"onlyAbnormal": true,
"useUserTableType": "user_table"
}

成功レスポンスの例

{
"return_code": 0,
"return_message": "success"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code0Integerリターンコード
return_messagesuccessStringリターンメッセージ

エラーレスポンスの例

{
"return_code": -1008,
"return_message": "パラメータ(token)が空です"
}
パラメータ名サンプル値パラメータタイプパラメータの説明
return_code-1008Integerリターンコード
return_messageパラメータ(token)が空ですStringリターンメッセージ
このページは役に立ちましたか?